function _extends() { _extends = Object.assign ? Object.assign.bind() : function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }
import * as React from 'react';
import { AelfIcon } from "../icon/AelfIcon";
var AelfSVGComponent = function AelfSVGComponent(props) {
  return /*#__PURE__*/React.createElement("svg", props, /*#__PURE__*/React.createElement("path", {
    d: "m3.955 6 3.769 3.77a.15.15 0 0 1 0 .211l-.53.53a.15.15 0 0 1-.213 0L2.735 6.266a.375.375 0 0 1 0-.53l4.247-4.247a.15.15 0 0 1 .212 0l.53.53a.15.15 0 0 1 0 .213L3.954 6Z"
  }));
};
AelfSVGComponent.defaultProps = {
  viewBox: "0 0 12 12",
  fill: "currentColor",
  xmlns: "http://www.w3.org/2000/svg"
};
var componentName = 'LeftArrowIcon';
export var LeftArrowIcon = /*#__PURE__*/React.forwardRef(function (props, ref) {
  return /*#__PURE__*/React.createElement(AelfIcon, _extends({
    component: AelfSVGComponent,
    componentName: componentName,
    defaultWidth: 12,
    defaultHeight: 12,
    ref: ref
  }, props));
});
LeftArrowIcon.displayName = componentName;